<?php
/**
* Users Online Module
* $Id: mod_comprofileronline.php 253 2006-04-18 21:17:21Z beat $
* 
* @package Community Builder
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version 1.0pl4
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

function getNameFormatOnline($name,$uname,$format) {
	SWITCH ($format) {
		CASE 1 :
			$returnName = $name;
		break;
		CASE 2 :
			$returnName = $name." (".$uname.")";
		break;
		CASE 3 :
			$returnName = $uname;
		break;
		CASE 4 :
			$returnName = $uname." (".$name.")";
		break;
	}
	return $returnName;
}

global $mosConfig_absolute_path, $ueConfig;
include_once( $mosConfig_absolute_path."/administrator/components/com_comprofiler/ue_config.php" );

$flashchat     = $params->get( 'flashchat' );
$cbuservisible = $params->get( 'cbuservisible' );
$cbolang       = $params->get( 'cbolang' );
$dispmode      = $params->get( 'dispmode' );

if (is_callable(array($params,"get"))) {				// Mambo 4.5.0 compatibility
	$class_sfx	= $params->get( 'moduleclass_sfx');
	$pretext 	= $params->get( 'pretext', "" );
	$posttext 	= $params->get( 'posttext', "" );
} else {
	$class_sfx = "";
	$pretext = "";
	$posttext = "";
}

switch ($cbolang) {
  case 'EN': $inchat="(in chatroom)"; break;
  case 'DE': $inchat="(im Chat)";     break;
  default:   $inchat="(Chat)";
}


if ($cbuservisible == "No") {
  $query = "SELECT DISTINCT a.username, a.userid, u.name"
  ."\n FROM #__session AS a, #__users AS u, #__comprofiler AS c"
  ."\n WHERE (NOT (c.cb_usernotvisible>0)) AND (a.userid=u.id) AND (a.guest = 0) AND (NOT ( a.usertype is NULL OR a.usertype = '' ))"
  ."\n ORDER BY ".(($ueConfig['name_format'] > 2) ? "a.username" : "u.name")." ASC";
} else {
  $query = "SELECT DISTINCT a.username, a.userid, u.name"
  ."\n FROM #__session AS a, #__users AS u"
  ."\n WHERE (a.userid=u.id) AND (a.guest = 0) AND (NOT ( a.usertype is NULL OR a.usertype = '' ))"
  ."\n ORDER BY ".(($ueConfig['name_format'] > 2) ? "a.username" : "u.name")." ASC";
}

$database->setQuery($query);
$rows = $database->loadObjectList();
$result = "";
if (count($rows) > 0) {
	$result .= "<ul class='mod_login".$class_sfx."'>\n";	// style='list-style-type:none; margin:0px; padding:0px; font-weight:bold;'
	foreach($rows as $row) {

		$result.= "<li><a href='".sefRelToAbs("index.php?option=com_comprofiler&amp;task=userProfile&amp;user=$row->userid")."' class='mod_login".$class_sfx."'>";
		switch ($dispmode) {
		  case 'Default': $result.= htmlspecialchars(getNameFormatOnline($row->name,$row->username,$ueConfig['name_format']));
				  break;
		  case 'RU': 	  $result.= htmlspecialchars($row->name." (".$row->username.")");
				  break;
		  case 'UR': 	  $result.= htmlspecialchars($row->username." (".$row->name.")");
				  break;
		  case 'R': 	  $result.= htmlspecialchars($row->name);
				  break;
		  case 'U':  	  $result.= htmlspecialchars($row->username);
				  break;
		}
		$result.= "</a>\n";


		if ($flashchat == "Yes") {
			$query1 = "SELECT userid FROM #__fc_connections WHERE #__fc_connections.userid = '".$row->userid."'";
			$database->setQuery($query1);
			$inFlashChat = $database->loadResult();

			if ($inFlashChat != "") {
				$result .= " <a href=\"#\" onclick=\"javascript: window.open('chat/flashchat.php', '', 'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=780,height=550'); return false\" class=\"$menuclass\" ". $id .">".$inchat."</a>";
			}
		}



		$result.="</li>";
	}
	$result .= "</ul>\n";
	if ($pretext != '') $result = $pretext."<br />\n".$result;
	$result .= $posttext;
} else {
	$result.=_NONE;
}
echo $result;

?>
